.logo {
    cursor: pointer;
    align-self: flex-start;
    @include margin(2, 2, 10, 2);
}

.nav {
    display: flex;
    flex-direction: column;
    @include margin(3, 3);
    flex-grow: 1;

    .current {
        display: flex;
        justify-content: flex-start;
        align-items: center;
        gap: 1rem;
        color: $grey-50;
        @include marginBottom(4);

        .title {
            margin: 0;
            font-size: $font-size-large;
            font-weight: 400;
            overflow: hidden;
            text-overflow: ellipsis;
            white-space: nowrap;
        }
    }

    .nav-back {
        @include padding(3, 3);
        border-radius: 1.5rem !important;

        &:hover,
        &:active,
        &.active {
            background-color: $dark-800 !important;
        }
    }
}

.parent {
    font-size: $font-size-base;
    cursor: pointer;
    border-radius: 1.5rem;
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    align-items: center;
    gap: 0.5rem;
    @include padding(3, 3);
    white-space: nowrap;

    &:hover,
    &:active,
    &.active {
        background-color: $dark-800;
    }
}

.section {
    border-radius: 1.5rem;
    display: flex;
    flex-direction: column;
    @include marginBottom(1);

    &.active {
        background-color: $dark-800;
    }

    .child {
        font-size: $font-size-base;
        border-radius: 1.25rem;
        display: flex;
        flex-direction: row;
        flex-wrap: nowrap;
        align-items: center;
        gap: 0.5rem;
        @include margin(1, 2);
        @include padding(3, 3);

        &:hover,
        &:active,
        &.active {
            background-color: $violet-800;
        }
    }

    .name {
        flex-grow: 1;
    }

    .toggle {
        @include padding(0, 0);

        &:hover {
            background-color: transparent !important;
        }
    }
}
